summaryrefslogtreecommitdiffstats
path: root/satellit_upgrader/updater.template.sh
diff options
context:
space:
mode:
Diffstat (limited to 'satellit_upgrader/updater.template.sh')
-rw-r--r--satellit_upgrader/updater.template.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/satellit_upgrader/updater.template.sh b/satellit_upgrader/updater.template.sh
index 16d166b..b51a0f4 100644
--- a/satellit_upgrader/updater.template.sh
+++ b/satellit_upgrader/updater.template.sh
@@ -209,6 +209,8 @@ if [ -n "$TGZ_TASKMANAGER" ]; then
tar -x -C "$PATH_TASKMANAGER" -f "$TMPDIR/$TGZ_TASKMANAGER"
fixperms "$PATH_TASKMANAGER" root:root
chmod -R a+x "$PATH_TASKMANAGER/scripts"
+ mkdir -p -m 0755 "/srv/openslx/www/boot/download"
+ fixperms "/srv/openslx/www/boot/download" taskmanager:www-data
echo "Restarting service"
restart_service taskmanager
echo "Taskmanager upgrade complete"
@@ -238,6 +240,10 @@ if [ -n "$TGZ_IPXE" ]; then
} &
IPXE_PID=$!
fi
+# Need mtools
+if ! which mformat &>/dev/null; then
+ failprint apt-get install -y mtools
+fi
# ************************** SLX-Admin *********************
if [ -n "$TGZ_SLXADMIN" ]; then
@@ -425,6 +431,10 @@ echo "* TFTP"
# ************************** TFTP **************************
if [ -n "$TGZ_TFTP" ]; then
+ # TODO:
+ # ipxelinux.0 -> undionly.kkkpxe
+ # Convert & Remove other menus
+ # Redirect 2x lighttpd
[ -e "$TMPDIR/$TGZ_TFTP" ] || perror "$TGZ_TFTP missing from payload"
echo "Extracting tftp server dir contents"
rm -rf -- "$PATH_TFTP/v4" "$PATH_TFTP/v6" "$PATH_TFTP/ipxelinux.0" "$PATH_TFTP/pxelinux.0"